Subject: Re: bug#50470: 27.1; 'company-mode' 'eshell'

From: Stefan Monnier <[email-masked]>
Date: Tue, 07 Jun 2022 11:52:36 -0400

Dmitry Gutov [2022-06-06 12:07:58] wrote:
> On 06.06.2022 04:34, Stefan Monnier via Bug reports for GNU Emacs, the Swiss
> army knife of text editors wrote:
>> Still, if you remove the ~/ the behavior is still not great: it seems I get
>> "Do*" completed to "Documents/ " where the SPC might not be what I want.
>
> I think that space comes from exit-function (defined at the end of
> pcomplete-completions-at-point).
> So it should be orthogonal to the contents of the completion table.

Right, but when we complete file names in Eshell, the behavior is
better, because the exit-function is different.  I don't think there's
much we can do about it within `pcomplete.el`, tho.

        Stefan